# AITileList_StationType Class Reference
[Classes that create a list of items.]

Creates a list of tiles which have the requested StationType of the StationID. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList_StationType:

## Public Member Functions
| AITileList_StationType (StationID station_id, AIStation::StationType station_type)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of tiles which have the requested StationType of the StationID.

Definition at line 100 of file ai_tilelist.hpp.

## Constructor & Destructor Documentation

AITileList_StationType::AITileList_StationType | ( | StationID | station_id,
|  | AIStation::StationType | station_type |
| ) |  |  |

Parameters:

  | station_id | The station to create the AITileList for.
  | station_type | The StationType to create the AIList for.

Definition at line 110 of file ai_tilelist.cpp.

References AITileList::AddTile(), SpecializedStation< Station, false >::Get(), GetStationIndex(), GetStationType(), HasBit(), IsTileType(), AIStation::IsValidStation(), MP_STATION, AIStation::STATION_AIRPORT, AIStation::STATION_BUS_STOP, AIStation::STATION_DOCK, AIStation::STATION_TRAIN, AIStation::STATION_TRUCK_STOP, TILE_LOOP, and TileXY().

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp